
#define MAXVERTICES 100

#define INTREE 0
#define FRINGE 1
#define UNSEEN 2

// Listas de adjacncia (implementao mista)

typedef struct node {
  int vertex;
  int weight;
  struct node *next;
} Node;


typedef Node  *Graph[MAXVERTICES];



// Shortest Path (algoritmo de Dijkstra)
void sp(Graph g, int n, int s, int d);


// Minimum Spanning Tree (algoritmo de Prim)
void mst(Graph g, int n);
